Unable to import a layer containing multipart and/or 3D geometries

2012-05-23 09:28 AM - Ian Packham

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15197

Description

When dropping a shapefile into DB Manager, PG connection, I get an error message with no text.

The "Import vector layer" dialog remains open. After refreshing DB Manager, the layer exists, although no spatial index has been added if

requested.

The shapefile in question was given to the DB Manager developer at the Lyon Hackfest - RiverSubBasins.shp (larger than 5MB).

History

#1 - 2012-06-09 10:26 AM - Giuseppe Sucameli

- Assignee set to Giuseppe Sucameli

It was fixed the last day of the HF, just after you left it ;)

If you're using one of the latest QGis 1.8 you should get a meaningful error message.

About the spatial index problem, there's also another ticket (#5625) which reports the same problem. I'm fixing it.

#2 - 2012-06-09 03:32 PM - Giuseppe Sucameli

- Subject changed from Error message blank when dropping shapefile to Unable to import a layer containing multipart and/or 3D geometries

The problem is due to multipart and 3D geometries, not supported yet.

The error message looks like the following one:

Creation error for features from #0 to #199. Provider errors was: 

PostGIS error while adding features: ERROR:  Geometry type (MultiLineString) does not match column type (LineString)

...

Creation error for features from #400 to #599. Provider errors was: 

PostGIS error while adding features: ERROR:  Geometry has Z dimension but column does not

#3 - 2012-06-12 03:04 AM - Ian Packham

Yes, I get the error message now.
Maybe some documentation or note on the start screen is needed to inform users that Multi-geometries are not supported yet? Although I see Spit does the

same thing.

From the same .shp file I left with you, I also get this message:

Creation error for features from #600 to #799. Provider errors was: 

PostGIS error while adding features: ERROR:  numeric field overflow

DETAIL:  A field with precision 19, scale 11 must round to an absolute value less than 10^8.

Not sure which field this is referring to, but there are some numeric fields. I guess this would break the loading of this shapefile even if the other problem

didn't?

#4 - 2013-01-18 01:34 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Project changed from 27 to QGIS Application

#5 - 2013-01-18 01:37 AM - Giovanni Manghi

- Category set to DB Manager

#6 - 2013-01-18 01:43 AM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#7 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
